Edit

Workspaces - Remove Admin Temporary Access

Removes admin temporary access from a user's 'My Workspace'.

Permissions

The caller must be a Fabric administrator or authenticate using a service principal.

Required Delegated Scopes

Tenant.ReadWrite.All

Limitations

Maximum 25 requests per minute.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/admin/workspaces/{workspaceId}/removeAdminTemporaryAccess

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

OK

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • EntityNotFound - The workspace ID doesn't exist or the workspace is not a 'My Workspace'.

  • InsufficientScopes - The caller doesn't have permissions to call the API.

  • BadRequest - The caller does not currently have access to the designated personal workspace.

  • Unauthorized - Only tenant admins and service principals with tenant admin role are authorized to call the API.

Examples

Remove admin temporary access from workspace example

Sample request

POST https://api.fabric.microsoft.com/v1/admin/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/removeAdminTemporaryAccess

Sample response

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.